ClawOps Docs
API Reference

통화 단건 조회

GET
/v1/accounts/{accountId}/calls/{callId}

특정 통화의 상세 정보를 조회합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

callId*string

통화 ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/calls/CAabcdef1234567890"
{
  "callId": "CAabcdef1234567890",
  "status": "queued",
  "to": "01012345678",
  "from": "07052358010",
  "direction": "outbound",
  "duration": 30,
  "accountId": "AC1a2b3c4d",
  "answeredBy": "human",
  "recordingUrl": "/v1/accounts/AC1a2b3c4d/recordings/CAabcdef1234567890",
  "transferTo": "01012345678",
  "transferStatus": "completed",
  "transferDuration": 60,
  "transferHangupCauseQ850": 16,
  "transferSipResponseCode": 500,
  "transferReasonText": "CS_NORMAL_RELEASE",
  "transfers": [
    {
      "sequence": 0,
      "to": "string",
      "mode": "string",
      "destinationType": "string",
      "status": "string",
      "duration": 0,
      "billable": true,
      "billableDuration": 0,
      "hangupCauseQ850": 0,
      "sipResponseCode": 0,
      "reasonText": "string",
      "startedAt": "2019-08-24T14:15:22Z",
      "connectedAt": "2019-08-24T14:15:22Z",
      "endedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "dateCreated": "2019-08-24T14:15:22Z",
  "dateUpdated": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}